#!/bin/bash -e
# shellcheck disable=SC2034
#
# prepare-raspbian-sd:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/prepare-raspbian-sd,
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -r INSTALL_DATA_DIR='/usr/local/share/prepare-raspbian-sd'
declare -r INSTALL_BIN_DIR='/usr/bin'

declare -r REMOVE_OLD="${INSTALL_DATA_DIR}/prepare-raspbian-sd-remove"
declare -r REMOVE_EXE="${INSTALL_DATA_DIR}/prepare-raspbian-sd-remove.sh"

declare -r INSTALL_LINKS='
prepare-libreelec-sd
prepare-raspbian-sd
prepare-raspbian-sd-config
prepare-raspbian-sd-download-image
'

declare -r INSTALL_EXE='
bin/prepare-libreelec-sd.sh
bin/prepare-raspbian-sd-config.sh
bin/prepare-raspbian-sd-download-image.sh
bin/prepare-raspbian-sd.sh
prepare-raspbian-sd-install.sh
prepare-raspbian-sd-remove.sh
'

declare -ra INSTALL_PACKAGES=( 'curl' 'gzip' 'jq' 'unzip' 'wget' 'xz-utils' )
declare -ra INSTALL_API_INSTALL_MAIN_EXCLUDE=(
'.git'
'.gitignore'
'.gitlab-ci.yml'
'.gitmodules'
'.target'
'package'
'tests'
'wiki'
)
