# prepare-raspbian-sd-download-image

Manage download for `prepare-raspbian-sd`.

## Usage

```
  prepare-raspbian-sd-download-image.sh --help
  prepare-raspbian-sd-download-image.sh --download [--full] [--unzip] [--arch ARCH]
  prepare-raspbian-sd-download-image.sh --download --url IMGURL [--expected-img IMG] [--unzip]
```

### Actions

```
  -h, --help            Display help message and exit.
  -D, --download        Download new image if needed into directory define by
                        RASPBIAN_DEFAULT_DOWNLOAD_IMAGE_DIRECTORY: ''
  -T DIR, --download-to DIR
                        Download new image if needed into given directory
  --url IMGURL          Allow to set image file URL
```

### Parameters

```
  --arch ARCH           Define machine hardware name (optional). If not set, or empty, use "Raspbian"
                        as source, if set use "Raspberry Pi OS" as source). ARCH could be an empty string,
                        armhf or arm64.
                          --arch '' : Download last available version of raspbian
                          --arch armhf: Download last 32 bits version of "Raspberry Pi OS"
                          --arch arm32: Same as 'armhf'
                          --arch arm64: Download last 64 bits version of "Raspberry Pi OS"
                        (Parameter is ignored if --url is used)
  --desktop,            Same as --full (deprecated)
  --expected-img IMG    Expected image filename (without path) - if specified when using --url allow
                        to not download remote file if local file is present.
  --full                Download full version (desktop version) instead of lite version.
                        (Parameter is ignored if --url is used)
  --unzip               Unzip file after downloading
```


## Samples

Both `*.gz` and `*.zip` file are supported.

You can use custom URL

```bash
prepare-raspbian-sd-download-image --download --url http://releases.libreelec.tv/LibreELEC-RPi2.arm-8.2.5.img.gz --expected-img LibreELEC-RPi2.arm-8.2.5.img --unzip
```

```bash
prepare-raspbian-sd-download-image --download --url https://downloads.raspberrypi.org/raspbian_lite/images/raspbian_lite-2019-07-12/2019-07-10-raspbian-buster-lite.zip --expected-img 2019-07-10-raspbian-buster-lite.img --unzip
```


## Related documentation

* [README.md](README.md),
* [prepare-raspbian-sd-config.md](prepare-raspbian-sd-config.md),
* [prepare-raspbian-sd-download-image.md](prepare-raspbian-sd-download-image.md).


