#!/bin/bash
#
# prepare-raspbian-sd:tests/run-tests.sh
#
set -u
set -o pipefail

PROJECT_HOME="$( dirname "$( dirname "$( realpath "${BASH_SOURCE[0]}" )" )" )"
declare -r PROJECT_HOME

# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/bash-common-api/bash-common-api.sh" || exit $?

function main {
  if ! command -v bats >/dev/null ; then
    echofatal 'bats not found... (install required)'
    return 100
  fi

  pushd "${PROJECT_HOME}" >/dev/null || return $?
  bats tests/test-config.bats || return $?
  popd >/dev/null || return $?
  echookay "$( realpath "${BASH_SOURCE[0]}" ) done." >&2
}

main "$@" || exit $?
